query{
    fields (['name', 'desc'])
    orderBy(field: 'ASC')
    orderBy(field2: 'DESC')
    eq(field1: 'reiui')
    or{
          eq(field: BigDecimal.valueOf(10))
          eq(field2: BigDecimal.valueOf(20))
    }
    not{
        eq(field: BigDecimal.valueOf(10))
        or{
            eq(field: BigDecimal.valueOf(10))
            eq(field2: BigDecimal.valueOf(20))
        }
    }
}